## org.apache.poi.xssf.usermodel
Class XSSFCreationHelper

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFCreationHelper

All Implemented Interfaces:
  CreationHelper

    public class XSSFCreationHelper

extends java.lang.Object
implements CreationHelper

Method Summary
`XSSFClientAnchor` `createClientAnchor()` Creates a XSSFClientAnchor.
`XSSFDataFormat` `createDataFormat()` Creates a new DataFormat instance
`XSSFFormulaEvaluator` `createFormulaEvaluator()` Creates a XSSFFormulaEvaluator, the object that evaluates formula cells.
`XSSFHyperlink` `createHyperlink(int type)` Creates a new Hyperlink, of the given type
`XSSFRichTextString` `createRichTextString(java.lang.String text)` Creates a new XSSFRichTextString for you.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createRichTextString

    public XSSFRichTextString createRichTextString(java.lang.String text)

  Creates a new XSSFRichTextString for you.

  Specified by:
    `createRichTextString` in interface `CreationHelper`
  Parameters:
    `text` - The text to initialise the RichTextString with

### createDataFormat

    public XSSFDataFormat createDataFormat()

  Description copied from interface: `CreationHelper`
  Creates a new DataFormat instance

  Specified by:
    `createDataFormat` in interface `CreationHelper`

### createHyperlink

    public XSSFHyperlink createHyperlink(int type)

  Description copied from interface: `CreationHelper`
  Creates a new Hyperlink, of the given type

  Specified by:
    `createHyperlink` in interface `CreationHelper`

### createFormulaEvaluator

    public XSSFFormulaEvaluator createFormulaEvaluator()

  Creates a XSSFFormulaEvaluator, the object that evaluates formula cells.

  Specified by:
    `createFormulaEvaluator` in interface `CreationHelper`
  Returns:
    a XSSFFormulaEvaluator instance

### createClientAnchor

    public XSSFClientAnchor createClientAnchor()

  Creates a XSSFClientAnchor. Use this object to position drawing object in a sheet

  Specified by:
    `createClientAnchor` in interface `CreationHelper`
  Returns:
    a XSSFClientAnchor instance
  See Also:
    `Drawing`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.